> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Deployment Events



## OpenAPI

````yaml get /v1/agents/{assistant_id}/deployments/{deployment_id}/events
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/agents/{assistant_id}/deployments/{deployment_id}/events:
    get:
      tags:
        - V1 - Deployments
      summary: Get Deployment Events
      operationId: get_deployment_events
      parameters:
        - name: assistant_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Assistant Id
        - name: deployment_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Deployment Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Page size
            default: 50
            title: Size
          description: Page size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_DeploymentEvent_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Page_DeploymentEvent_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/DeploymentEvent'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
        pages:
          type: integer
          minimum: 0
          title: Pages
      type: object
      required:
        - items
        - total
        - page
        - size
        - pages
      title: Page[DeploymentEvent]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DeploymentEvent:
      properties:
        id:
          type: string
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        state:
          type: string
          title: State
        event_type:
          type: string
          title: Event Type
        started_conversation:
          type: boolean
          title: Started Conversation
          default: false
        conversation_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Conversation Id
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        ignore_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Ignore Reason
        event_data:
          additionalProperties: true
          type: object
          title: Event Data
          default: {}
      type: object
      required:
        - id
        - created_at
        - state
        - event_type
      title: DeploymentEvent
      description: Event entry for the deployment events view.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````